* {
  box-sizing: border-box;
}

body {
  font-family: 'Trebuchet MS', 'Trebuchet MS', 'Lucida Sans Unicode',
    'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
  color: #fff;
  background-color: #121213;
  margin: 0;
  padding: 0;
}

/* Title */
.title-container {
  text-align: center;
  width: 100%;
  border-bottom: 2px solid #3a3a3c;
}

/* Message */
.message-container {
  height: 30px;
}

.message-container p {
  background-color: #818384;
  border-radius: 10px;
  padding: 10px;
  margin: 15px;
}
/* Game */
.game-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

/* Tile */
.tile-container {
  width: 330px;
  margin: 30px 0px;
}

.tile-container div {
  display: flex;
  justify-content: center;
}

.tile-container .tile {
  display: flex;
  height: 50px;
  width: 50px;
  border: 2px solid grey;
  margin: 2px;
  align-items: center;
  justify-content: center;
}

.tile.flip {
  animation: 0.5s linear flipping;
}

@keyframes flipping {
  0% {
    transform: rotateX(0deg);
  }
  50% {
    transform: rotateX(90deg);
  }
  100% {
    transform: rotateX(0deg);
  }
}
/* Keyboard */
.keyboard-container {
  width: 510px;
  display: flex;
  flex-wrap: wrap;
}

.keyboard-container button {
  width: 43px;
  height: 58px;
  border: none;
  border-radius: 4px;
  margin: 4px;
  background-color: #818384;
  font-weight: bold;
}

.keyboard-container button:nth-child(11) {
  margin-left: 30px;
}

.keyboard-container button:nth-child(20),
.keyboard-container button:nth-child(28) {
  width: 68px;
}

/* Colors */
.grey-overlay {
  background-color: #3a3a3c !important;
  border: none !important;
}

.yellow-overlay {
  background-color: #b59f3a !important;
  border: none !important;
}

.green-overlay {
  background-color: #538d4e !important;
  border: none !important;
}
